package dev.crucifixbeta.api.events.impl;

import dev.crucifixbeta.api.events.Event;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public class SendMessageEvent extends Event {
   private static final SendMessageEvent INSTANCE = new SendMessageEvent();
   public String defaultMessage;
   public String message;

   private SendMessageEvent() {
   }

   public static SendMessageEvent get(String message) {
      INSTANCE.defaultMessage = message;
      INSTANCE.message = message;
      INSTANCE.setCancelled(false);
      return INSTANCE;
   }
}
